edu.northwestern.at.morphadorner.corpuslinguistics.phonetics

## Class DoubleMetaphone

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.phonetics.DoubleMetaphone

-     public class DoubleMetaphone
      extends java.lang.Object

  This code is based on an implementation by Ed Parrish, which was obtained from: http://www.cse.ucsc.edu/~eparrish/toolbox/search.html Licensed under an Apache license in the org.apache.commons.codec.language package.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleMetaphone()` Creates new DoubleMetaphone

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `add(char ch)`
    `(package private) void` | `add(char primaryChar, char alternateChar)`
    `(package private) void` | `addCode(char ch, char code)`
    `(package private) boolean` | `charAt(int index, char[] list)`
    `java.lang.String` | `encode(java.lang.String in)`
    `java.lang.String` | `getAlternate()`
    `java.lang.StringBuffer` | `getAlternateBuffer()`
    `int` | `getEncodeLimit()`
    `java.lang.String` | `getPrimary()`
    `java.lang.StringBuffer` | `getPrimaryBuffer()`
    `(package private) boolean` | `isSlavoGermanic()`
    `(package private) boolean` | `isVowel(int index)`
    `static java.lang.String` | `sencode(java.lang.String in)`
    `boolean` | `setEncodeLimit(int newLimit)`
    `(package private) void` | `setInput(java.lang.String in)`
    `(package private) boolean` | `stringAt(int start, int length, java.lang.String str)`
    `(package private) boolean` | `stringAt(int start, int length, java.lang.String[] list)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleMetaphone

          public DoubleMetaphone()

      Creates new DoubleMetaphone

  - ### Method Detail

    - #### getPrimary

          public java.lang.String getPrimary()

    - #### getPrimaryBuffer

          public java.lang.StringBuffer getPrimaryBuffer()

    - #### getAlternate

          public java.lang.String getAlternate()

    - #### getAlternateBuffer

          public java.lang.StringBuffer getAlternateBuffer()

    - #### getEncodeLimit

          public int getEncodeLimit()

    - #### setEncodeLimit

          public boolean setEncodeLimit(int newLimit)

    - #### setInput

          void setInput(java.lang.String in)

    - #### add

          void add(char ch)

    - #### add

          void add(char primaryChar,
                 char alternateChar)

    - #### charAt

          boolean charAt(int index,
                       char[] list)

    - #### stringAt

          boolean stringAt(int start,
                         int length,
                         java.lang.String str)

    - #### stringAt

          boolean stringAt(int start,
                         int length,
                         java.lang.String[] list)

    - #### isVowel

          boolean isVowel(int index)

    - #### isSlavoGermanic

          boolean isSlavoGermanic()

    - #### addCode

          void addCode(char ch,
                     char code)

    - #### sencode

          public static java.lang.String sencode(java.lang.String in)

    - #### encode

          public java.lang.String encode(java.lang.String in)